POST Agents/Document/GetVersionList
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Document/GetVersionList
Get a list of existing, committed versions for a given document
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Document/GetVersionList?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
DocumentId
| Property Name | Type | Description |
|---|---|---|
| DocumentId | Integer |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| ExternalReference | string | |
| DocumentId | int32 | |
| VersionId | string | |
| CheckedInDate | date-time | |
| CheckedInByName | string | |
| CheckedInByAssociateId | int32 | |
| Description | string | |
| DisplayText | string | |
| ExtraFields | array |
Sample request
POST /api/v1/Agents/Document/GetVersionList
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"DocumentId": 902
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"ExternalReference": "doc-v3-2024-01-15",
"DocumentId": 86,
"VersionId": "v3.0",
"CheckedInDate": "2024-01-15T14:30:00+01:00",
"CheckedInByName": "John Anderson",
"CheckedInByAssociateId": 871,
"Description": "Updated pricing section and added Q1 2024 deliverables",
"DisplayText": "Version 3.0 - Final revision",
"ExtraFields": [
"doloribus",
"delectus"
]
}
]